/**
 * EDISException.java
 * 
 * Thrown when EDIS returns an error message instead of the
 * expected response.
 */
package com.digi.garagedoor.idigi;

public class GarageDoorException extends RuntimeException {
    private static final long serialVersionUID = 7526472295622776201L;
    /*
     * All edis errors exist somewhere (in some doc) in the format Exxxx. (Or so
     * the legend says...)
     * 
     * UNKNOWN is used for an unparseable problem.
     */
    public static final String UNKNOWN = "unknown";
    private final String errno;

    public GarageDoorException(String message, String errno) {
        super(message);
        this.errno = errno;
    }

    public GarageDoorException(Exception e1, String errno) {
        super(e1);
        this.errno = errno;
    }

    public String getErrno() {
        return this.errno;
    }
}
